Webstorm how to set under development node.js gulp and js?

Good day, I went like two days to ide from jet brains webstorm? to learn less,sass, gulp, and node js. But when watching videos of the course and repeating the steps he noticed that I have a lot of things are not supported and climb on the Internet I have not installed libraries, and so on and I can't how to install them, could you help me?
for example I have empty libraries, no html 5 and what I don't know
5bbce5814dafd656106082.png
in node.js NPM and little files, because other a lot of them here
5bbce5989abf8067398935.png
still I hate that he swears by
5bbce5a26ff1c365402971.png
but I need this editor because it is convenient that there is a terminal
please help me to configure it.
March 12th 20 at 08:01
1 answer
March 12th 20 at 08:03

in node.js NPM and little files, because other a lot of them here

So they were there, they need to install globally using npm.
Write in terminal npm install {package name} -g

still I hate that he swears by

The problem is that you have not installed the package util, so he swears.
Write in terminal npm install utill - in order to install the UTIL package locally (i.e. for the current project. This means that if you create a new project, you will not have this package)
or:
util npm install-g to install it globally.

Find more questions by tags WebStorm